@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/*Import the default css-es */

@import "../../renderers/dndvalidation/dndvalidation.scss";
@import "../../renderers/custommenu/custommenu.scss";
@import "../scss/support/_backoffice-mixins.scss";
@import "../scss/components/_collaboration.scss";
@import "../scss/components/_sync.scss";
@import "../scss/components/_excel.scss";
@import "../scss/components/_excel-validation.scss";
@import "../scss/components/_bulkedit.scss";
@import "../scss/components/_bulkedit-validation.scss";
@import "../scss/components/_workflowdesigner.scss";

@import url('cockpit.css');

button.z-button.y-btn-warning {
  background-color: $validation__error--color;
  border: medium none;
  border-radius: 0;
  color: $backoffice--warning-button--color;
  cursor: pointer;
  font-size: $backoffice--warning-button--font-size;
  font-style: normal !important;
  font-weight: 100 !important;
  line-height: $backoffice--warning-button--line-height;
  margin-left: 0;
  padding: $backoffice--warning-button--padding;
}

.mediaInfoHeader {
  font-weight: bold;
}

.mediaInfoCnt {
  float: left;
  width: $backoffice--media-info-container--width;
}

.previewPlaceholder {
  width: $backoffice--preview-placeholder--width;
  display: inline-block;
  text-align: center;
}

.previewPlaceholder .z-image {
  margin: auto;
}

.small-image-preview-cnt img {
  display: block;
  height: auto;
  max-width: 100%;
  z-index: 2000;
  border: $backoffice--collection-preview-image--border;
  border-radius: $backoffice--collection-preview-image--border-radius;
}

.yw-collection-preview {
  &-cnt {
    background: $backoffice--collection-preview-container--bg-color;
  }
  > div {
    &.z-listbox-body {
      background: $backoffice--collection-preview-list-body--bg-color;
    }
    &.z-listbox {
      border: none;
    }
    &.z-listboxdiv .z-listbox-body .z-listitem {
      background: none;
    }
  }
}

.ya-com_hybris_cockpitng_actions_scriptingaction {
  padding: $backoffice--cng-scripting-action--padding;
}

.yw-desc-tooltip {
  max-width: $backoffice--desc-tooltip--max-width;
}

.yw-image-attribute-sync-status {
  &-in-sync {
    @include _image-attribute-inline-icon ("sync/icon_status_sync_insync.svg");
  }
  &-out-of-sync {
    @include _image-attribute-inline-icon ("sync/icon_status_sync_outofsync.svg");
  }
  &-undefined {
    @include _image-attribute-inline-icon ("sync/icon_status_sync_undefined.svg");
  }
  &-error {
    @include _image-attribute-inline-icon ("sync/icon_status_sync_error.svg");
  }
  &-no-read {
    @include _image-attribute-inline-icon ("sync/icon_status_sync_no-read-access.svg");
  }
  &-loading {
    @include _image-attribute-inline-icon ("sync/icon_status_sync_loading.svg", $backoffice--sync-icon--size, rotate $backoffice--sync-loading-icon--animation-duration infinite linear);
  }
}

.yw-partial-sync-info {
  padding: $backoffice--partial-sync-info--padding;
  white-space: nowrap;
  max-height: $backoffice--partial-sync-info--max-height;
  overflow: auto;
  overflow-x: hidden;

  .yw-partial-sync-info-syncJob {
    padding: $backoffice--partial-sync-info-entry--padding;
    border-top: $backoffice--partial-sync-info-entry--border-top;

    &-name + .z-span {
      margin-left: $backoffice--partial-sync-info-entry-icon--margin-left;
    }
  }
  .yw-partial-sync-info-syncJob:first-child {
    border-top: none;
  }
}

.yw-image-attribute-product-type {
  &-base,
  &-variant {
    @include _image-attribute-inline-icon ("icon_base_product.svg", $backoffice--product-type-icon--size);
  }
  &-variant {
    @include _image-attribute-inline-icon ("icon_product_variants.svg", $backoffice--product-type-icon--size);
  }
}

.yw-image-attribute-approval-icon {
  @include _image-attribute-inline-icon ();
}

.yw-image-attribute-approval-status {
  &-approved:before {
    background-image: url("../images/icon-product-approval-status-approved.svg");
  }
  &-unapproved:before {
    background-image: url("../images/icon-product-approval-status-unapproved.svg");
  }
  &-check:before{
    background-image: url("../images/icon-product-approval-status-check.svg");
  }
}

.yw-compound-renderer-container{
  display: inline-block;
}

.yw-navigationhistory-nostack .yw-navigationhistory-stack {
  display:none;
}

.yw-workflow-status-container {
  .yw-workflow-status-label {
    display: inline;
  }
}

.yw-workflow-status-icon {
  @include _image-attribute-inline-icon ();

  &-planned:before {
    @include _image-attribute-inline-icon-image ("workflow/icon-workflow-status-planned.svg");
  }
  &-running:before {
    @include _image-attribute-inline-icon-image ("workflow/icon-workflow-status-running.svg");
  }
  &-finished:before {
    @include _image-attribute-inline-icon-image ("workflow/icon-workflow-status-finished.svg");
  }
  &-terminated:before {
    @include _image-attribute-inline-icon-image ("workflow/icon-workflow-status-terminated.svg");
  }
}

body > .cke_screen_reader_only.cke_copyformatting_notification {
  height: 0;
}





